import bb.cascades 1.2

TabbedPane {
        showTabsOnActionBar: true
        activeTab: whitelist
        Tab {
            title: qsTr("Call Logs") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ca_phone_incoming.png"
            
            
            Page {
                id: page1
                titleBar: TitleBar {
                    title: qsTr("Call Logs") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible
/*                    acceptAction: ActionItem {
                        title: qsTr("Close") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.closeWindow()
                        }
                    
                    }
  */
                } // title
                
                
                actions: [
                    
                    ActionItem {
                        title: qsTr("Scheduler") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ca_scheduler.png"
                        onTriggered: {
                            _block.openScheduler()
                        }
                    },
                    
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help(1)
                        }
                    },
/*
                    ActionItem {
                        title: qsTr("Debug Off") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_debug.png"
                        onTriggered: {
                            _block.dodebug(false)
                        }
                        objectName: "action_debug"
                    },
*/                    
                    DeleteActionItem {
                        title: qsTr("Delete Call Log") + Retranslate.onLanguageChanged
//                        imageSource: "asset:///images/ic_delete.png"
                        onTriggered: {
                            _block.deleteCallLog(0)
                        }
                    }
                    
                ]
                
                Container
                {
                    layout: DockLayout {
                    }
                     
                    horizontalAlignment: HorizontalAlignment.Fill
                                        
                    ListView {
                        id: listView
                        dataModel: _block.model_calls
                        
                        listItemComponents: [
                            ListItemComponent {
                                type: "item"
                                StandardListItem {
                                    title: ListItemData.title
                                    description: ListItemData.description
                                    status: ListItemData.status
                                    imageSource: ListItemData.image
                                    imageSpaceReserved: false
                                    textFormat: TextFormat.Html
                                }
                            }
                        ] // listItem
                        
                        onTriggered: {
                            clearSelection()
                            _block.selectedCallItem(indexPath)
                        }
                        
                        objectName: "itemListCalls"
                        leadingVisualSnapThreshold: 0.6            
                    } // listview
                
                } // container
            
            
            
            } // page
        }
        

        
        Tab {
            id: blacklist
            title: qsTr("Black List") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ca_phone_missed.png"
            Page {
                id: page2
                
                titleBar: TitleBar {
                    id: addBar
                    title: qsTr("Black List") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible

                    acceptAction: ActionItem {
                        title: qsTr("New") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.newBlacklist(0)
                        }
                    
                    }
  
                }
                
                actions: [
                    ActionItem {
                        title: qsTr("Scheduler") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ca_scheduler.png"
                        onTriggered: {
                            _block.openScheduler()
                        }
                    },
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help(1)
                        }
                    },
/*
                    ActionItem {
                        title: qsTr("Debug Off") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_debug.png"
                        onTriggered: {
                            _block.dodebug(false)
                        }
                        objectName: "action_debug2"
                    },
*/
                    DeleteActionItem {
                       title: qsTr("Delete Blacklist DB") + Retranslate.onLanguageChanged
                       onTriggered: {
                           _block.deleteCallLog(1)
                       }
                    }

                ]
                
                Container
                {
                    layout: DockLayout {
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    Container {
                        verticalAlignment: VerticalAlignment.Top
                        ListView {
                            dataModel: _block.model_blacklist
                            
                            listItemComponents: [
                                ListItemComponent {
                                    type: "item"
                                    StandardListItem {
                                        title: ListItemData.title
                                        description: ListItemData.description
                                        status: ListItemData.status
                                        imageSource: ListItemData.image
                                        imageSpaceReserved: false                            
                                    }
                                }
                            ] // listItem
                            
                            onTriggered: {
                                clearSelection()
                                _block.selectedBlacklistItem(indexPath,0)
                            }
                            
                            objectName: "itemListBlacklist"
                            leadingVisualSnapThreshold: 0.6            
                        } // listview
                    }
/*                
                    Container {
                        bottomPadding: 100
                        verticalAlignment: VerticalAlignment.Bottom
                        horizontalAlignment: HorizontalAlignment.Center
                        Button {
                            text: qsTr("New") + Retranslate.onLanguageChanged
                            onClicked: {
                                _block.newBlacklist(0)
                            }
                        }
                    }
*/                
                
                } // container
            
            }
        } // blacklist
        
        Tab {
            id: whitelist
            title: qsTr("White List") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ca_phone_outgoing.png"
            objectName: "tab_whitelist"
            Page {
                id: page3
                
                titleBar: TitleBar {
                    id: addBar3
                    title: qsTr("White List") + Retranslate.onLanguageChanged
                    visibility: ChromeVisibility.Visible
                    dismissAction: ActionItem {
                        title: qsTr("Group") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.new_whitelist_group()
                        }
                    
                    }

                    acceptAction: ActionItem {
                        title: qsTr("New") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.newBlacklist(1)
                        }
                    
                    }

                }
                
                actions: [
                    ActionItem {
                        title: qsTr("Scheduler") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ca_scheduler.png"
                        onTriggered: {
                            _block.openScheduler()
                        }
                    },
                    ActionItem {
                        title: qsTr("Help") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_help.png"
                        onTriggered: {
                            _block.help(1)
                        }
                    },
/*
                    ActionItem {
                        title: qsTr("Debug Off") + Retranslate.onLanguageChanged
                        imageSource: "asset:///images/ic_debug.png"
                        onTriggered: {
                            _block.dodebug(false)
                        }
                        objectName: "action_debug3"
                    },
  */                  
                    DeleteActionItem {
                        title: qsTr("Delete Whitelist DB") + Retranslate.onLanguageChanged
                        onTriggered: {
                            _block.deleteCallLog(2)
                        }
                    }
                
                ]
                
                Container
                {
                    layout: DockLayout {
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    ListView {
                        dataModel: _block.model_whitelist
                        id: listView_whitelist

                        // This multi-select action will be placed inside the ActionSets of each
                        // list item that doesn't have a MultiSelectActionItem of its own.
                        multiSelectAction: MultiSelectActionItem {
                        }
                        
                        multiSelectHandler {
                            // These actions will be shown during multiple selection, while this
                            // multiSelectHandler is active
                            actions: [
                                ActionItem {
                                    onTriggered: {
                                        _block.copy_move_delet_whitelist(listView_whitelist.selectionList(), 1, 0)
                                    }
                                    title: qsTr("Copy to Group")
                                    imageSource: "asset:///images/ic_copy.png"
                                },
                                ActionItem {
                                    onTriggered: {
                                        _block.copy_move_delet_whitelist(listView_whitelist.selectionList(), 1, 1)
                                    }
                                    title: qsTr("Move to Group")
                                    imageSource: "asset:///images/ic_cut.png"
                                },
                                DeleteActionItem {
                                    onTriggered: {
                                        _block.copy_move_delet_whitelist(listView_whitelist.selectionList(), 1, 2)
                                    }
                                }
                                
                            ]
                            
                            status: qsTr("None Selected")
                        }
                        
                        listItemComponents: [
                            ListItemComponent {
                                type: "item"
                                StandardListItem {
                                    id: itemRoot
                                    title: ListItemData.title
                                    description: ListItemData.description
                                    status: ListItemData.status
                                    imageSource: ListItemData.image
                                    imageSpaceReserved: false                            

                                    contextActions: [
                                        ActionSet {
                                            title: qsTr("Select Action")
                                            
                                            
                                            ActionItem {
                                                title: qsTr("Edit")
                                                imageSource: "asset:///images/ic_edit.png"
                                                onTriggered: {
                                                    //_block.selectedBlacklistItem(indexPath, 1)
                                                    itemRoot.ListItem.view.myAction(itemRoot.ListItem.indexPath, 1);
                                                }
                                            }
/*                                            
                                            DeleteActionItem {
                                                title: qsTr("Delete")
                                                onTriggered: {
                                                    itemRoot.ListItem.view.myAction(1, ListItemData.lat, ListItemData.lon, ListItemData.title, ListItemData.date, ListItemData.url, ListItemData.image);
                                                }
                                            }
 */                                       
                                        
                                        }
                                    ]
                                
                                }
                            }
                        ] // listItem
                        
                        onSelectionChanged: {
                            if (selectionList().length > 1) {
                                multiSelectHandler.status = selectionList().length + " " +  qsTr("Items Selected");
                            } else if (selectionList().length == 1) {
                            multiSelectHandler.status = qsTr("1 Item Selected");
                            } else {
                                multiSelectHandler.status =  qsTr("None Selected");
                            }
                        }

                        onTriggered: {
                            clearSelection()
                            _block.selectedBlacklistItem(indexPath, 1)
                        }
                        // context menu
                        function myAction(indexPath, type) {
                            _block.selectedBlacklistItem(indexPath, type);
                        }
                        
                        objectName: "itemListWhitelist"
                        leadingVisualSnapThreshold: 0.6            
                    } // listview
                
                } // container
            
            }
        } // whitelist

}