import bb.cascades 1.3

Sheet {
    
    peekEnabled: false    
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Edit Caller") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible

            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _blacklist.cancelBlacklist()
                }
            }

            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _blacklist.saveBlacklist(false)
                }
            
            }
            objectName: "title"
        } // title
        
        actions: [
            ActionItem {
                title: qsTr("Clear Counter")
                imageSource: "asset:///images/ic_activate.png"
                onTriggered: {
                    _blacklist.clearBlacklistCounter()
                }
                ActionBar.placement: ActionBarPlacement.OnBar
                objectName: "action_clear"
                enabled: tb_enable.checked
            },
            
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Lookup") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ca_search.png"
                onTriggered: {
                    _blacklist.doLookup()
                }
                objectName: "action_lookup"
                enabled: tb_enable.checked
            },

            ActionItem {

              ActionBar.placement: ActionBarPlacement.OnBar
              title: qsTr("Delete") + Retranslate.onLanguageChanged	            
              imageSource: "asset:///images/ic_delete.png"
              onTriggered: {
                  _blacklist.deleteBlacklist()
              }
              objectName: "action_delete"
              enabled: tb_enable.checked
            },
            
            ActionItem {
                            ActionBar.placement: ActionBarPlacement.OnBar
                            title: qsTr("Help") + Retranslate.onLanguageChanged	            
                            imageSource: "asset:///images/ic_help.png"
                            onTriggered: {
                                _blacklist.help(2);
                            }
                            objectName: "action_help"
            }
            

        ]

        objectName: "page"
        ScrollView {
            Container {
                topPadding: 5
                leftPadding: 5
                rightPadding: 5

                horizontalAlignment: HorizontalAlignment.Fill
                Container
                {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Enable") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        id: tb_enable
                        objectName: "tb_enable"
                        horizontalAlignment: HorizontalAlignment.Right
                        checked: true
                    }
                } 
                Divider {
                    
                }
                Container
                {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    objectName: "container_vip"
                    Label {
                        text: qsTr("VIP") + Retranslate.onLanguageChanged
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        id: tb_vip
                        objectName: "tb_vip"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                } 

                Container {
                    id: container_main
                    visible: tb_enable.checked;
                    Header {
                        title: qsTr("Name") + Retranslate.onLanguageChanged	            
                    }
                    TextField {   
                        hintText: qsTr("Enter caller name") + Retranslate.onLanguageChanged	            
                        objectName: "lb_name"
                    }
                    Header {
                        title: qsTr("Number") + Retranslate.onLanguageChanged	            
                    }
                    TextField {   
                        hintText: qsTr("Enter caller number") + Retranslate.onLanguageChanged	            
                        objectName: "lb_number"
                        inputMode: TextFieldInputMode.PhoneNumber
                    }
/*                    
                    Container
                    {
                        Divider {                    
                        }
                        objectName: "container_help_info"
                        Label {
                            text: qsTr("For wildcard enter the '*' at the beginning or at the end of the phone number.  eg: 1800* to block or alllow all numbers starting with 1800 or *1234 to block or allow all numbers ending in 1234.") + Retranslate.onLanguageChanged
                            multiline: true
                            textStyle.fontStyle: FontStyle.Italic
                            textStyle.fontSize: FontSize.Small
                        }
                        
                    }
*/                    
                    Container
                    {
                        objectName: "container_caller_info"
                        Header {
                            title: qsTr("Last Called") + Retranslate.onLanguageChanged	            
                        }
                        Label {
                            objectName: "lb_datetime"
                        }
                        Header {
                            title: qsTr("Called You") + Retranslate.onLanguageChanged	            
                        }
                        Label {
                            objectName: "lb_called"
                        }
                    }
                } 
            }
        
        }// scrollview
    
    
    }
}

