import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("Buzz Off Help")
            acceptAction: ActionItem {
                title: qsTr("Close")
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 5.0
                
                rightPadding: 5.0
                topPadding: 5.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Buzz Off is a advanced call filter application that you decide when and who can call you.  Buzz Off can reject incoming calls with callerid and Private/Unknown caller.  You can setup Schedules for complete control of incoming calls.\n\nOn the main screen you will see three icons on the toolbar.") + Retranslate.onLanguageChanged                                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_phone_incoming.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Call Logs") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Call Logs screen shows all incoming calls with the datetime.  To view, add to Blacklist or Whitelist or delete the call log tap on the call.\n\nTo add the caller to the Blacklist or Whitelist just select the icon.  This will add the caller to the database.") + Retranslate.onLanguageChanged                                
                }       


                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_phone_missed.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Black List") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Black List database contains all the callers that you want to block.  You can manually add a caller by selecting the New button.  To view, edit or delete a Black List caller touch the caller.") + Retranslate.onLanguageChanged                                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_phone_outgoing.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("White List") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The White List database contains all the callers that you want to receive calls from.  Callers in the Group are ONLY used with the Scheduler.  You can manually add a caller by selecting the New button.  To view, edit or delete a White List caller touch the caller.") + Retranslate.onLanguageChanged                                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_white_group.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("White List Group") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("White List Group is used in conjunction with the Scheduler.  When you create a new schedule you can select White List groups to allow them call you.  All other callers not in the groups will be rejected except for VIP White List callers.") + Retranslate.onLanguageChanged                                
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Select the <b>Group</b> button on the Toolbar to add a new group.  To add callers to a group do a press and hold on the caller and then select <b>Select More</b> from the context menu or select the New button in the Group screen.  Select all the callers that you want to add to a group and then select <b>Copy</b> or <b>Move</b> to group.") + Retranslate.onLanguageChanged                                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_scheduler.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Scheduler") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Scheduler allows you to setup a date and time to allow people to call you.  For example:  If you create a new schedule from 9:00am to 5:00pm Monday to Friday then all incoming calls for that time and day will be rejected except for callers in the White List or groups.") + Retranslate.onLanguageChanged                                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You have total control and freedom with the Scheduler.") + Retranslate.onLanguageChanged                                
                }       

            }
        }
    
    
        actions: [
            
            ActionItem {
                title: qsTr("More Apps") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_moreapps.png"
                onTriggered: {
                    invokeappworld.trigger("bb.action.OPEN")
                }
            },
/*            ,
            
            ActionItem {
                title: qsTr("Invite") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_bbm.png"
                
                onTriggered: {
                    _block.invitedownload()
                }
            },
 */           
            ActionItem {
                title: qsTr("Add Review") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_review.png"
                
                onTriggered: {
                    addreview.trigger("bb.action.OPEN")
                }
            }
        
        ]

        attachedObjects: [
            Invocation
            {
                id: invokeappworld
                query.mimeType: "application/x-bb-appworld"
                query.uri: "appworld://vendor/184"
                query.invokeActionId: "bb.action.OPEN"
            },
            
            Invocation {
                id: addreview
                query.mimeType: "application/x-bb-appworld"
                query.uri: "appworld://content/40723891"
                query.invokeActionId: "bb.action.OPEN"
            }
        
        
        ]

    }


}