import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("Black and White List Help")
            acceptAction: ActionItem {
                title: qsTr("Close")
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 5.0
                
                rightPadding: 5.0
                topPadding: 5.0
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ImageView {
                        imageSource: "asset:///images/ca_phone_missed.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Black List") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Black List contains all the callers that you want to block.  You can add to the Black List from the Call Logs screen or manually select the New button on the Title Bar to add a new Black List.") + Retranslate.onLanguageChanged                                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_phone_outgoing.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("White List") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The White List contains all the callers that you want to receive calls from.  You can add to the White List from the Call Logs screen or manually select the New button on the Title Bar to add a new White List.") + Retranslate.onLanguageChanged                                
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The White List is used with the Scheduler to allow incoming calls when the schedule is active.  When a schedule is active all incoming calls will be rejected except for callers in the White List.") + Retranslate.onLanguageChanged                                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_phone_outgoing_vip.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("VIP White List") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("VIP callers can call you at anytime.  They can not be blocked.  You can only assign a caller to VIP in the White List.  VIP status is ignored for White List Groups.") + Retranslate.onLanguageChanged
                }       


                Label {
                    text: qsTr("Phone Number") + Retranslate.onLanguageChanged
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("When entering the caller's phone number you can use the <b>*</b> wildcard.  For wildcard enter the <b>*</b> at the beginning or at the end of the phone number.  eg: 1800* to block or alllow all numbers starting with 1800 or *1234 to block or allow all numbers ending in 1234.") + Retranslate.onLanguageChanged
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you have enabled sending automated Text message to blocked callers in the Settings screen then you can set a custom text message for the schedule.  <b>If you leave the text message empty then the text message in the Settings will be used.</b>") + Retranslate.onLanguageChanged                                
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You can easily Enable and Disable the Black or White List caller by selecting the <b>Enable</b> toogle button on top of the screen.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Green
                }       
            
            
            }
        }
    
    
    }


}