import bb.cascades 1.0

Sheet {
    
    
    Page {
        id: page
        titleBar: TitleBar {
            title: qsTr("Scheduler Help")
            acceptAction: ActionItem {
                title: qsTr("Close")
                onTriggered: {
                    _Help.close_window()
                }
            }
        }
        
        
        ScrollView {
            
            Container {
                leftPadding: 5.0
                
                rightPadding: 5.0
                topPadding: 5.0
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Scheduler is a powerful feature that allows you to setup location service and datetime to block incoming calls.") + Retranslate.onLanguageChanged                                
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Scheduler is useful when you do not want to be disturbed but still want to receive important calls.") + Retranslate.onLanguageChanged                                
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You can have many different schedules for many different dates or times like block during work hours from 9:00am to 5:00pm Monday to Friday and  9pm to 7am everday.") + Retranslate.onLanguageChanged                                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Add a New Schedule") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Cyan
                    textStyle.fontSize: FontSize.Large
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("<b>High Priority</b>\n\nIf you setup multiple Schedules that have conflicts eg: Geofencing and Wifi or times that overlap each other than you can set one schedule to a High Priority.") + Retranslate.onLanguageChanged                                
                }       
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("On the main screen there are Four tab buttons.  <b>General, Type, Groups and Locations</b>") + Retranslate.onLanguageChanged                                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The General screen allows you to enable and disable the schedule and assign a new schedule.") + Retranslate.onLanguageChanged                                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Groups screen allows you to assign White List Groups to the schedule.  ONLY callers in the groups can call you and VIP callers in the White List group.  All other callers will be rejected.") + Retranslate.onLanguageChanged                                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("The Type screen allows you select a schedule type.  If you want to block just using the time then set the <b>Date</b> drop down to <b>No Date</b>.  For block at a Location select the Schedule Type to <b>Use Location</b> and then in the General screen select the Location Type.") + Retranslate.onLanguageChanged                                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you have enabled sending automated Text message to blocked callers in the Settings screen then you can set a custom text message for the schedule.  <b>If you leave the text message empty then the text message in the Settings will be used.</b>") + Retranslate.onLanguageChanged                                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_map.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Location Services") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                    ImageView {
                        imageSource: "asset:///images/ic_celltower.png"
                    }
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("With the Location Service you can tell Buzz Off to activate a schedule to block callers when you enter or leave a specific geolocation or cell tower.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Location Services uses GPS to monitor your location. Cell Tower uses the cellular network to monitor the location.  Buzz Off does not doing the monitoring.  The BlackBerryOS does.  When you enter a location you can select WhiteList groups or just WhiteList to allow to call you.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("In the General screen select the <b>Location Type</b> drop down box.") + Retranslate.onLanguageChanged
                }       


                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_map.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Geofencing") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Geofencing Service uses GPS to track your location.  You can manually enter the GPS information or select the Map icon to interactively select the location.") + Retranslate.onLanguageChanged
                }       
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("On the map use the slider to adjust the radius.  To search for a location select the Search button on the top left screen.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Geofencing is more accurate then Cell Tower but there are limitations.  If you are in a location eg: building where GPS can not be acquired then BuzzOff will not be able to activeate the schedule.  Also when GPS is turned on it may user more battery.") + Retranslate.onLanguageChanged
                }       


                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Location Services permission must be on in the Settings->Security Privacy->Applications Permissions for Buzz Off.") + Retranslate.onLanguageChanged
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_celltower.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Cell Tower") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }
                
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Unlike Geofencing where it uses GPS to track your location.  Cell Tower uses the cell ids.  Each location can have many cell ids.  It is important that you get all the cell ids for your location otherwise Buzz Off will not function as you expected to.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Once you have entered all the information for the Schedule.  Select the Scan CellID button in the General tab screen.  This will allow Buzz Off to scan for cell ids.  When it finds a new cell id it will display on the screen.  Maximum 25 cell ids per schedule.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To improve the scanning walk around your location.  Sometimes it may take several minutes for the scan to pick up new cell ids.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("With Geofencing you can set a radius for the location.  Cell Tower does not have radius setting.  A cell tower can reach far far away and sometimes one location will have the same cell towers even when they are miles away.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("Tip: To improve the accuracy try editing the schedule and do a scan throughout the day to ensure that all cell ids are covered.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ic_wifi.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Wifi Connection") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You can set Buzz Off to block calls when the device is connected to a Wifi Hotspot.  This is useful if you are at work or at home and always connected to the Wifi hotspot.  In the General tab screen set the Location Type to Wifi Hotspot and then select a Network.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you want to block callers whenever the device is connected to the Wifi Hotspot then set the Schedule Type to <b>Use Location</b> in the <b>Type</b> tab screen.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("When using Location Service you can also limit the time and date when you want the schedule to be active.  eg: only activate the schedule between 9am to 5pm.  If you do not care about the time and date then in the <b>Datetime</b> screen set the Type to <b>Location</b>") + Retranslate.onLanguageChanged
                }       


                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_phone_outgoing_vip.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("White List Group") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("With an active schedule you can select upto 5 White List groups that can call you and all other callers will be rejected.  With the White List group feature you can setup many schedules and only allow callers that you want to call you.") + Retranslate.onLanguageChanged
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you do not have any White List groups created then just select All.  This will allow all callers in the White List to call you.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Yellow
                }       


                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("If you are at work from 9am to 5pm you can set an schedule to only allow <b>Family</b> group to call you.  At home from 5pm to 9pm only allow <b>Friends</b> group to call you.  From 9pm to 7am only allow <b>Emergency</b> group to call you.") + Retranslate.onLanguageChanged                                
                }       

                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    ImageView {
                        imageSource: "asset:///images/ca_white_group_3.png"
                    }
                    Label {
                        leftPadding: 15
                        text: qsTr("Groups") + Retranslate.onLanguageChanged
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.Cyan
                    }       
                }
                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("When you assign groups to the Schedule you will see a different icon on the main screen.  The number in the red circle tells you how many groups you have assigned for that schedule.") + Retranslate.onLanguageChanged                                
                }       


                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("To setup White List groups go to the White List screen and select the <b>Group</b> button on the toolbar.  You can then press and hold and select <b>Select More</b> from the menu to add or move callers to the any group.") + Retranslate.onLanguageChanged                                
                }       

                Label {
                    textFormat: TextFormat.Html
                    multiline: true
                    text: qsTr("You can easily disable the Schedule by selecting the <b>Enable Schedule</b> toogle button on top of the screen.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Green
                }       
            
            
            }
        }
        
    
    }


}