import bb.cascades 1.3

Sheet {
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Edit Schedule") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _schedule.cancelNewScheduler()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _schedule.saveNewScheduler()
                }
            
            }
        } // title

        actions: [
            ActionItem {
                id: action_location
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Map") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_map.png"
                onTriggered: {
                    _schedule.getGPSLocation();
                }
                enabled:  tb_enable_location.checked

            },

            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _schedule.help(0);
                }
            },
            
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _schedule.deleteSchedulelist()
                }
                objectName: "action_delete"
                enabled: tb_enable.checked
            }
        ]

        objectName: "page"

        Container {
            topPadding: 10
            SegmentedControl {
                
                leftPadding: 5
                rightPadding: 5
                topPadding: 5
                id: segmented1
                Option {
                    id: option1
                    text: qsTr("General")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("Type")
                }
                Option {
                    id: option3
                    text: qsTr("Groups")
                }
                Option {
                    id: option4
                    text: qsTr("Location")
                }

                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_general.setVisible(true)
                        container_datetime.setVisible(false)
                        container_groups.setVisible(false)
                        container_locations.setVisible(false)
                    }
                    else
                   if (selectedIndex == 1)
                   {
                       container_general.setVisible(false)
                       container_datetime.setVisible(true)
                       container_groups.setVisible(false)
                       container_locations.setVisible(false)
                   }
                   else
                       if (selectedIndex == 2)
                       {
                       container_general.setVisible(false)
                       container_datetime.setVisible(false)
                       container_groups.setVisible(true)
                       container_locations.setVisible(false)
                       }
                    else
                     if (selectedIndex == 3)
                     {
                         container_general.setVisible(false)
                         container_datetime.setVisible(false)
                         container_groups.setVisible(false)
                         container_locations.setVisible(true)
                     }
                  }
                objectName: "segament_container"
            }
            Divider {
                
            }

            // general container
            Container {
                id: container_general
                visible: true
                ScrollView {
                    Container
                    {
                        leftPadding: 15
                        rightPadding: 15
                        topPadding: 5
                        horizontalAlignment: HorizontalAlignment.Fill
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Enable Schedule") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: tb_enable
                                objectName: "tb_enable"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    name_container.setVisible(checked)
                                    container_location_header.setVisible(checked)
                                    
                                }
                            }
                        } 
                        
                        Container {
                            id: name_container

                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                Label {
                                    text: qsTr("High priority") + Retranslate.onLanguageChanged
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                ToggleButton {
                                    objectName: "tb_high_priority"
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            } 

                            
                            Header {
                                title: qsTr("Schedule Name")
                            }
                            TextField {
                                maximumLength: 32
                                hintText: qsTr("Enter a schedule name")
                                objectName: "text_name"
                            
                            }
                            objectName: "container_send_sms"
                            Header {
                                title: qsTr("Text to Send to Rejected Caller")
                            }  
                            TextField {
                                id: txt_sms
                                hintText: qsTr("Enter a message or leave it blank.")
                                maximumLength: 140
                                objectName: "text_sms"
                            
                            }


                        
                        }

                    }
                } // container

                
            
            } // general container

        
            // datetime
            Container
            {
                id: container_datetime
                visible: false
                ScrollView {
                    
                    Container {
    
                        leftPadding: 15
                        rightPadding: 15
                        topPadding: 5
                        horizontalAlignment: HorizontalAlignment.Fill
                        Header {
                            title: qsTr("Schedule Type")
                        }
                        DropDown {
                            title: qsTr("Type")
                            objectName: "dd_schedule_date"
                            
                            selectedIndex: 0
                            onSelectedIndexChanged: {
                                if (selectedIndex == 0)
                                {
                                    sub_container.setVisible(true)
                                    dd_date.setVisible(false)
                                    container_sch_info.setVisible(false)
                                }
                                else
                                if (selectedIndex == 1)
                                {
                                    sub_container.setVisible(true)
                                    dd_date.setVisible(true)
                                    container_sch_info.setVisible(false)
                                }
                                else
                                 if (selectedIndex == 2)
                                 {
                                     sub_container.setVisible(false)
                                     container_sch_info.setVisible(true)
                                 }
                                
                            }
                            Option 
                            {
                                text: qsTr("Use Time")
                                description: qsTr("On going.  Active only on this time")
                                imageSource: "asset:///images/ic_time.png"
                            }
                            Option 
                            {
                                text: qsTr("Use Date and Time")
                                description: qsTr("Active only on this date and time range")
                                imageSource: "asset:///images/ca_scheduler.png"
                            }
                            Option 
                            {
                                //enabled: tb_enable_location.checked
                                id: option_location
                                text: qsTr("Use Location/Service")
                                description: qsTr("Always active at location or connected service")
                                imageSource: "asset:///images/ic_geofenching.png"
                            }
                        }
                        
                        Container {
                            id: container_sch_info
                            Label {
                                text: qsTr("In the Location tab screen select a Location Type.")
                                multiline: true
                                textStyle.fontStyle: FontStyle.Italic
                                textStyle.fontSize: FontSize.Small
                            }
                        }
                        
                        
                        Container {
                            id: sub_container
                            Container {
                                id: dd_date
                                DateTimePicker {
                                    title: qsTr("Start Date")
                                    objectName: "start_date"
                                    mode: DateTimePickerMode.Date
                                }
                                DateTimePicker {
                                    title: qsTr("End Date")
                                    objectName: "end_date"
                                    mode: DateTimePickerMode.Date
                                }
                            }
                            
                            
                            Header {
                                title: qsTr("Schedule Time")
                            }
                            DateTimePicker {
                                title: qsTr("Start Time")
                                objectName: "start_time"
                                mode: DateTimePickerMode.Time
                            }
                            DateTimePicker {
                                title: qsTr("End Time")
                                objectName: "end_time"
                                mode: DateTimePickerMode.Time
                            }
                            
                            Header {
                                title: qsTr("Schedule Days")
                            }
                            
                            Container
                            {
                                id: weekdays1
                                topPadding: 10
                                horizontalAlignment: HorizontalAlignment.Left
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                CheckBox {
                                    id: monday
                                    objectName: "monday"
                                    text: qsTr("Mon") + Retranslate.onLanguageChanged	            
                                }
                                CheckBox {
                                    id: tuesday
                                    objectName: "tuesday"
                                    text: qsTr("Tue") + Retranslate.onLanguageChanged	            
                                }
                                CheckBox {
                                    id: wednesday
                                    objectName: "wednesday"
                                    text: qsTr("Wed") + Retranslate.onLanguageChanged	            
                                }
                                CheckBox {
                                    id: thursday
                                    objectName: "thursday"
                                    text: qsTr("Thr") + Retranslate.onLanguageChanged	            
                                }
                            }
                            
                            Container
                            {
                                topPadding: 10
                                id: weekdays2
                                horizontalAlignment: HorizontalAlignment.Left
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                CheckBox {
                                    id: friday
                                    objectName: "friday"
                                    text: qsTr("Fri") + Retranslate.onLanguageChanged	            
                                }
                                CheckBox {
                                    id: saturday
                                    objectName: "saturday"
                                    text: qsTr("Sat") + Retranslate.onLanguageChanged	            
                                }
                                
                                CheckBox {
                                    id: sunday
                                    objectName: "sunday"
                                    text: qsTr("Sun") + Retranslate.onLanguageChanged	            
                                }
                                
                                CheckBox {
                                    id: all
                                    objectName: "all"
                                    text: qsTr("All") + Retranslate.onLanguageChanged	            
                                    onCheckedChanged: {
                                        if (checked)
                                        {
                                            monday.setChecked(true);
                                            tuesday.setChecked(true);
                                            wednesday.setChecked(true);
                                            thursday.setChecked(true);
                                            friday.setChecked(true);
                                            saturday.setChecked(true);
                                            sunday.setChecked(true);
                                        }
                                        else
                                        {
                                            monday.setChecked(false);
                                            tuesday.setChecked(false);
                                            wednesday.setChecked(false);
                                            thursday.setChecked(false);
                                            friday.setChecked(false);
                                            saturday.setChecked(false);
                                            sunday.setChecked(false);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            
            } // datetime


            // group
            Container
            {
                leftPadding: 15
                rightPadding: 15
                topPadding: 5
                id: container_groups
                horizontalAlignment: HorizontalAlignment.Fill
                
                visible: false
                ScrollView {
                    Container {
                        Header {
                            title: qsTr("Allow Only These Group(s) to Call You")
                        }
                        DropDown {
                            title: qsTr("Group")
                            objectName: "dd_whitelist_group1"
                            
                            selectedIndex: 0
                            onSelectedIndexChanged: {
                                // hide the more if the first one is select to allow all
                                if (selectedIndex == 0)
                                    more_groups.setVisible(false)
                                else
                                    more_groups.setVisible(true)
                            }
                            Option 
                            {
                                text: qsTr("White List Callers Only")
                                value: "[None]"
                                description: qsTr("Allow callers from White List except groups")
                            }
                        }
                        
                        Container {
                            id: more_groups
                            DropDown {
                                title: qsTr("White List Group")
                                objectName: "dd_whitelist_group2"
                                
                                selectedIndex: 0
                                Option 
                                {
                                    text: qsTr("Not Used")
                                    value: "[None]"
                                }
                            }
                            
                            DropDown {
                                title: qsTr("White List Group")
                                objectName: "dd_whitelist_group3"
                                
                                selectedIndex: 0
                                Option 
                                {
                                    text: qsTr("Not Used")
                                    value: "[None]"
                                }
                            }
                            
                            DropDown {
                                title: qsTr("White List Group")
                                objectName: "dd_whitelist_group4"
                                
                                selectedIndex: 0
                                Option 
                                {
                                    text: qsTr("Not Used")
                                    value: "[None]"
                                }
                            }
                            
                            DropDown {
                                title: qsTr("White List Group")
                                objectName: "dd_whitelist_group5"
                                
                                selectedIndex: 0
                                Option 
                                {
                                    text: qsTr("Not Used")
                                    value: "[None]"
                                }
                            }
                        }
                    }
                }
               
            } // group container


            // location
            Container
            {
                leftPadding: 15
                rightPadding: 15
                topPadding: 5
                id: container_locations
                horizontalAlignment: HorizontalAlignment.Fill
                
                visible: false
                ScrollView {
                    Container
                    {
                        id: container_location_header
                        visible: tb_enable.checked
                        
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Enable Location") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                                visible: false
                            }
                            ToggleButton {
                                id: tb_enable_location
                                objectName: "tb_enable_location"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    container_location.setVisible(checked)
                                    //                                    option_location.setEnabled(checked)
                                    if (checked)
                                        _schedule.getGPSLocation();
                                }
                                checked: true
                                visible: false
                            }
                            
                            DropDown {
                                title: qsTr("Location Type")
                                objectName: "dd_location_type"
                                selectedIndex: 0
                                onSelectedIndexChanged: {
                                    if (selectedIndex == 0)
                                    {
                                        container_celltower.setVisible(false)
                                        container_location.setVisible(false)
                                        action_location.setEnabled(false)
                                        container_wifi.setVisible(false)
                                    }
                                    else 
                                        if (selectedIndex == 1)
                                        {
                                        container_celltower.setVisible(false)
                                        container_location.setVisible(true)
                                        action_location.setTitle(qsTr("Map"))
                                        action_location.setEnabled(true)
                                        action_location.setImageSource("asset:///images/ic_map.png")
                                        container_wifi.setVisible(false)
                                        }
                                        else 
                                            if (selectedIndex == 2)
                                            {
                                            container_celltower.setVisible(true)
                                            container_location.setVisible(false)
                                            action_location.setEnabled(true)
                                            action_location.setTitle(qsTr("Scan CellID"))
                                            action_location.setImageSource("asset:///images/ic_celltower.png")
                                            container_wifi.setVisible(false)
                                            }
                                            else 
                                                if (selectedIndex == 3)
                                                {
                                                container_celltower.setVisible(false)
                                                container_location.setVisible(false)
                                                action_location.setEnabled(false)
                                                container_wifi.setVisible(true)
                                                }
                                }
                                Option 
                                {
                                    text: qsTr("Disabled")
                                    description: qsTr("Do not use location")
                                    imageSource: "asset:///images/ic_none.png"
                                }
                                Option 
                                {
                                    text: qsTr("GPS")
                                    description: qsTr("Use Geofencing")
                                    imageSource: "asset:///images/ic_geofenching.png"
                                }
                                Option 
                                {
                                    text: qsTr("Cell Tower")
                                    description: qsTr("Use cell tower")
                                    imageSource: "asset:///images/ic_celltower.png"
                                }
                                Option 
                                {
                                    text: qsTr("Wifi Hotspot")
                                    description: qsTr("When connected to Wifi hotspot")
                                    imageSource: "asset:///images/ic_wifi.png"
                                }
                            }
                        
                        }
                        
                        Container {
                            id: container_wifi
                            objectName: "container_wifi"
                            Header {
                                title: qsTr("Wifi Hotspots") + Retranslate.onLanguageChanged	            
                            }
                            DropDown {
                                id: wifi_devices
                                title: qsTr("Network")
                                objectName: "wifi_devices"
                                selectedIndex: 0
                            }
                        
                        }
                        
                        
                        Container {
                            id: container_celltower
                            objectName: "container_celltower"
                            Header {
                                title: qsTr("Cell IDs") + Retranslate.onLanguageChanged	            
                            }
                            TextArea {
                                
                                hintText: qsTr("Enter cellid eg: 12345,678900,99000")
                                objectName: "ta_cellid"
                                maximumLength: 255
                            }
                            Container {
                                objectName: "container_cell_scan"
                                visible: false
                                Label {
                                    text: qsTr("Scanning...")
                                    verticalAlignment: VerticalAlignment.Center
                                    horizontalAlignment: HorizontalAlignment.Center
                                }
                                ProgressIndicator {
                                    toValue: 10.0
                                    fromValue: 0.0
                                    value: 0.0
                                    objectName: "pg_cell_scanning"
                                
                                }
                            
                            }
                        
                        } // celltower
                        
                        Container {
                            id: container_location
                            objectName: "container_gps"
                            visible: false
                            Header {
                                title: qsTr("GPS Co-Ordinate") + Retranslate.onLanguageChanged	            
                                id: id_type_label
                                visible: false
                            }
                            
                            Container {
                                topPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                verticalAlignment: VerticalAlignment.Center
                                Label {
                                    text: qsTr("Latitude:") + Retranslate.onLanguageChanged	  
                                    
                                    preferredWidth: 200
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                TextField {
                                    id: _lat
                                    objectName: "lat"
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    hintText: qsTr("Enter the Latitude eg: 43.46448") + Retranslate.onLanguageChanged	            
                                    text: "43.449488"
                                    textFormat: TextFormat.Auto
                                
                                }
                            
                            }
                            
                            Container {
                                topPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                verticalAlignment: VerticalAlignment.Center
                                Label {
                                    text: qsTr("Longitude:") + Retranslate.onLanguageChanged	            
                                    
                                    preferredWidth: 200
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                TextField {
                                    id: _long
                                    objectName: "long"
                                    inputMode: TextFieldInputMode.EmailAddress
                                    hintText: "Enter the Longitude eg: -80.52361"
                                    text: "-80.406777"                            
                                }
                            
                            }
                            
                            Container {
                                topPadding: 15
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                verticalAlignment: VerticalAlignment.Center
                                Label {
                                    text: qsTr("Radius:") + Retranslate.onLanguageChanged	            
                                    
                                    preferredWidth: 200
                                    verticalAlignment: VerticalAlignment.Center
                                }
                                TextField {
                                    id: _radius
                                    objectName: "radius"
                                    hintText: qsTr("Enter the Radius eg: 100") + Retranslate.onLanguageChanged	            
                                    inputMode: TextFieldInputMode.NumbersAndPunctuation
                                    text: "100"
                                }
                            
                            }
                            Label {
                                text: qsTr("If the Schedule does not change then set the Radius atleast 100 meters.") + Retranslate.onLanguageChanged	            
                                textStyle.fontStyle: FontStyle.Italic
                                multiline: true
                                textStyle.fontSize: FontSize.Small
                            }
                        }
                    }
                    
                }
            }

        
        } // segment control container 

    
    } // page
    
    
}