import bb.cascades 1.3

Sheet {
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Scheduler") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
/*            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _schedule.cancelScheduler()
                }
            }
  */          
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _schedule.saveScheduler()
                }
            
            }
        } // title

        actions: [
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_help.png"
                onTriggered: {
                    _schedule.help(0);
                }
            },

            ActionItem {
                title: qsTr("New") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _schedule.newScheduler(-1)
                }
                ActionBar.placement: ActionBarPlacement.OnBar
            }
        ]

        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            
            ListView {
                id: listView
                dataModel: _schedule.model_schedulelist
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"

                        
                        StandardListItem {
                            
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                            textFormat: TextFormat.Html
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _schedule.selectedSchedulerlistItem(indexPath)
                }
                
                objectName: "itemListSchedules"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        } // container
    }
}
