import bb.cascades 1.3
import bb.device 1.3

Sheet {
    
    peekEnabled: false    
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Settings") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _settings.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _settings.saveSettings()
                }
            
            }
        } // title
     
        Container {
            topPadding: 10
            SegmentedControl {
                
                leftPadding: 5
                rightPadding: 5
                topPadding: 5
                id: segmented1
                Option {
                    id: option1
                    text: qsTr("General")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("Notification")
                }
                Option {
                    id: option3
                    text: qsTr("Rules")
                }
                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_general.setVisible(true)
                        container_notification.setVisible(false)
                        container_rules.setVisible(false)
                    }
                    else
                        if (selectedIndex == 1)
                        {
                        container_general.setVisible(false)
                        container_notification.setVisible(true)
                        container_rules.setVisible(false)
                        }
                        else
                            if (selectedIndex == 2)
                            {
                            container_general.setVisible(false)
                            container_notification.setVisible(false)
                            container_rules.setVisible(true)
                            }
                }
                objectName: "segament_container"
            }
            Divider {
            
            }
            
            // general
            Container {
                id: container_general
                ScrollView {
                    Container
                    {
                        layout: StackLayout {
                        }
                        topPadding: 5
                        leftPadding: 15
                        rightPadding: 15
                        
                        horizontalAlignment: HorizontalAlignment.Fill                        
                        
                        Container
                        {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Disable Buzz Off") + Retranslate.onLanguageChanged
                                horizontalAlignment: HorizontalAlignment.Left
                                multiline: true
                            }
                            ToggleButton {
                                id: tb_enable
                                objectName: "tb_disable_buzzoff"
                                horizontalAlignment: HorizontalAlignment.Right
                            }
                        } 
                        Divider {
                            
                        }
                        Container
                        {
                            visible: !tb_enable.checked
                            Header {
                                title: qsTr("Password Protection")
                            }
                            Container
                            {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                Label {
                                    text: qsTr("Enable") + Retranslate.onLanguageChanged
                                    horizontalAlignment: HorizontalAlignment.Left
                                    multiline: true
                                }
                                ToggleButton {
                                    id: tb_enable_password
                                    objectName: "tb_enable_password"
                                    horizontalAlignment: HorizontalAlignment.Right
                                    onCheckedChanged: {
                                        if (checked)
                                            tf_password.requestFocus()
                                    }
                                }
                            } 
                            Container {
                                visible: tb_enable_password.checked
                                topPadding: 10
                                TextField {
                                    id: tf_password
                                    hintText: qsTr("Enter password")
                                    inputMode: TextFieldInputMode.Password
                                    objectName: "tf_password"
                                    maximumLength: 32
                                }
                                TextField {
                                    hintText: qsTr("Enter verify password")
                                    inputMode: TextFieldInputMode.Password
                                    objectName: "tf_verify"
                                    maximumLength: 32
                                }
                            }
                        }
                        
                        
                        Container {
                            visible: false //!tb_enable.checked
                            Header {
                                title: qsTr("Debug")
                            }
                            Container {
                                topPadding: 10
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
    
                                }
                                verticalAlignment: VerticalAlignment.Center
                                horizontalAlignment: HorizontalAlignment.Center
                                Button {
                                    text: qsTr("Delete Log")
                                    onClicked: {
                                        _settings.deleteLog()
                                    }
                                }
                                Button {
                                    text: qsTr("View Log")
                                    onClicked: {
                                        _settings.viewLog()
                                    }
                                }
                                Button {
                                    text: qsTr("Email Log")
                                    onClicked: {
                                        _settings.emailLog()
                                    }
                                }
                            }
                            Divider {
                                
                            }
                            Label {
                                text: qsTr("Email the debug log to support@toysoft.ca")
                            }
                        }
                    } // container
                    
                } // scrollview
                
            } // general

            // notification
            Container {
                id: container_notification
                visible: false
                ScrollView {
                    Container
                    {
                        layout: StackLayout {
                        }
                        topPadding: 5
                        leftPadding: 15
                        rightPadding: 15
                        
                        horizontalAlignment: HorizontalAlignment.Fill                        

                        Container {
                            topPadding: 10
//                            visible: !tb_enable.checked
                            Container {
                                Header {
                                    title: qsTr("When Call is Blocked") + Retranslate.onLanguageChanged
                                }
                                Container {
                                    topPadding: 10
                                    leftPadding: 20
                                    rightPadding: 20
                                    DropDown {
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        id: cellnetworkcolor_on
                                        title: qsTr("LED") + Retranslate.onLanguageChanged
                                        objectName: "dd_block_call_led"
                                        Option {
                                            text: qsTr("None")
                                            imageSource: "asset:///images/ic_led_none.png"
                                        }
                                        Option {
                                            text: qsTr("Blue")
                                            imageSource: "asset:///images/ic_led_blue.png"
                                        }
                                        Option {
                                            text: qsTr("Cyan")
                                            imageSource: "asset:///images/ic_led_cyan.png"
                                        }
                                        Option {
                                            text: qsTr("Green")
                                            imageSource: "asset:///images/ic_led_green.png"
                                        }
                                        Option {
                                            text: qsTr("Magenta")
                                            imageSource: "asset:///images/ic_led_magenta.png"
                                        }
                                        Option {
                                            text: qsTr("Red")
                                            imageSource: "asset:///images/ic_led_red.png"
                                        }
                                        Option {
                                            text: qsTr("White")
                                            imageSource: "asset:///images/ic_led_white.png"
                                        }
                                        Option {
                                            text: qsTr("Yellow")
                                            imageSource: "asset:///images/ic_led_yellow.png"
                                        }
                                    }
                                    DropDown {
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        title: qsTr("Vibrate") + Retranslate.onLanguageChanged
                                        objectName: "dd_block_call_vib"
                                        Option {
                                            text: qsTr("None")
                                        }
                                        Option {
                                            text: qsTr("100 Millisecond")
                                        }
                                        Option {
                                            text: qsTr("200 Milliseconds")
                                        }
                                        Option {
                                            text: qsTr("300 Milliseconds")
                                        }
                                        Option {
                                            text: qsTr("400 Milliseconds")
                                        }
                                        Option {
                                            text: qsTr("500 Milliseconds")
                                        }
                                        Option {
                                            text: qsTr("600 Milliseconds")
                                        }
                                        Option {
                                            text: qsTr("700 Milliseconds")
                                        }
                                        Option {
                                            text: qsTr("800 Milliseconds")
                                        }
                                        Option {
                                            text: qsTr("900 Milliseconds")
                                        }
                                        Option {
                                            text: qsTr("1 Second")
                                        }
                                    }
                                    
                                    Container
                                    {
                                        layout: DockLayout {
                                        }
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        topPadding: 10.0
                                        Label {
                                            text: qsTr("Show message in the Hub") + Retranslate.onLanguageChanged
                                            horizontalAlignment: HorizontalAlignment.Left
                                            multiline: true
                                        }
                                        CheckBox {
                                            objectName: "cb_show_block_msg"
                                            horizontalAlignment: HorizontalAlignment.Right
                                        }
                                    } // led stop blink
                                    
                                    Container
                                    {
                                        layout: DockLayout {
                                        }
                                        horizontalAlignment: HorizontalAlignment.Fill
                                        topPadding: 10.0
                                        Label {
                                            text: qsTr("Send a Text Message") + Retranslate.onLanguageChanged
                                            horizontalAlignment: HorizontalAlignment.Left
                                            multiline: true
                                        }
                                        CheckBox {
                                            id: block_send_sms
                                            objectName: "cb_send_sms"
                                            horizontalAlignment: HorizontalAlignment.Right
                                        }
                                    } // led stop blink
                                    
                                    TextArea {
                                        visible: block_send_sms.checked
                                        hintText: qsTr("Enter text message to send") + Retranslate.onLanguageChanged
                                        objectName: "tf_send_sms"
                                        maximumLength: 140
                                    }
                                } // container
                            }
                        }

                        
                    } // container
                
                } // scrollview
            
            } // notification


            // rules
            Container {
                id: container_rules
                visible: false

                layout: DockLayout {

                }
                ScrollView {
                    Container
                    {
                        layout: StackLayout {
                        }
                        topPadding: 5
                        leftPadding: 15
                        rightPadding: 15
                        
                        horizontalAlignment: HorizontalAlignment.Fill                        

                        Container
                        {
                            Header {
                                title: qsTr("Block Rules") + Retranslate.onLanguageChanged
                            }
                            Container {
                                topPadding: 10
                                leftPadding: 20
                                rightPadding: 20
                                
                                DropDown {
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    title: qsTr("Match Phone Number") + Retranslate.onLanguageChanged
                                    objectName: "dd_match_phone"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("All Numbers")
                                    }
                                    Option {
                                        text: qsTr("Last 10 Digits")
                                    }
                                    Option {
                                        text: qsTr("Last 9 Digits")
                                    }
                                    Option {
                                        text: qsTr("Last 8 Digits")
                                    }
                                    Option {
                                        text: qsTr("Last 7 Digits")
                                    }
                                    Option {
                                        text: qsTr("Last 6 Digits")
                                    }
                                }
                                Label {
                                    text: qsTr("For users outside of North America the best is to set to match the last digits.  This will let Buzz Off perform better phone number matching.")
                                    multiline: true
                                    textStyle.fontStyle: FontStyle.Italic
                                    textStyle.fontSize: FontSize.Small
                                    textStyle.color: Color.Cyan
                                }
                                
                                Container
                                {
                                    layout: DockLayout {
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    topPadding: 10.0
                                    Label {
                                        text: qsTr("Block 1800 Numbers") + Retranslate.onLanguageChanged
                                        horizontalAlignment: HorizontalAlignment.Left
                                        multiline: true
                                    }
                                    CheckBox {
                                        id: block_1800
                                        objectName: "cb_block_1800"
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                } // led stop blink
                                
                                Container {
                                    visible: block_1800.checked
                                    
                                    TextField {
                                        hintText: "1800,0800,1888,1877,1866,1855,1844"
                                        text: "1800,0800,1888,1877,1866,1855,1844"
                                        objectName: "tf_block_1800"
                                        maximumLength: 100
                                        //                                inputMode: TextFieldInputMode.PhoneNumber
                                    }
                                    Label {
                                        text: qsTr("Enter the prefix numbers separate by comma.\neg: 1800,0800,1877") + Retranslate.onLanguageChanged
                                        textStyle.fontStyle: FontStyle.Italic
                                        textStyle.fontSize: FontSize.Small
                                        multiline: true
                                    }
                                }
                            } // container
                        }
                        
                        Container {
                            Header {
                                title: qsTr("Unknown/Private Callers")                    
                            }
                            Container {
                                topPadding: 10
                                leftPadding: 20
                                rightPadding: 20
                                
                                horizontalAlignment: HorizontalAlignment.Fill
                                Container
                                {
                                    layout: DockLayout {
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    topPadding: 10.0
                                    Label {
                                        text: qsTr("Block Private and Unknown") + Retranslate.onLanguageChanged
                                        horizontalAlignment: HorizontalAlignment.Left
                                        multiline: true
                                    }
                                    CheckBox {
                                        id: cb_unknown
                                        objectName: "cb_block_unknown"
                                        horizontalAlignment: HorizontalAlignment.Right
/*                                        onCheckedChanged: {
                                            if (checked)
                                            {
                                                container_unknown_calls.setVisible(true)
                                                anim_unknown_calls_show.play()
                                            }
                                        
                                        }
*/
                                    }
                                }
                                DropDown {
                                    visible: cb_unknown.checked
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    title: qsTr("Delay before reject call") + Retranslate.onLanguageChanged
                                    objectName: "dd_unknown_block_delay"
                                    selectedIndex: 0
                                    Option {
                                        text: qsTr("100 Millisecond")
                                    }
                                    Option {
                                        text: qsTr("200 Milliseconds")
                                    }
                                    Option {
                                        text: qsTr("300 Milliseconds")
                                    }
                                    Option {
                                        text: qsTr("400 Milliseconds")
                                    }
                                    Option {
                                        text: qsTr("500 Milliseconds")
                                    }
                                    Option {
                                        text: qsTr("600 Milliseconds")
                                    }
                                    Option {
                                        text: qsTr("700 Milliseconds")
                                    }
                                    Option {
                                        text: qsTr("800 Milliseconds")
                                    }
                                    Option {
                                        text: qsTr("900 Milliseconds")
                                    }
                                    Option {
                                        text: qsTr("1 Second")
                                    }
                                }
                                Label {
                                    visible: cb_unknown.checked
                                    text: qsTr("Adjust the above for Unknown/Private callers.  If BuzzOff is rejecting the caller too quickly with Caller ID then set the delay higher.")
                                    multiline: true
                                    textStyle.fontStyle: FontStyle.Italic
                                    textStyle.fontSize: FontSize.Small
                                }
                                
                                Container
                                {
                                    layout: DockLayout {
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    topPadding: 10.0
                                    visible: false
                                    Label {
                                        text: qsTr("Block if Not in Contacts") + Retranslate.onLanguageChanged
                                        horizontalAlignment: HorizontalAlignment.Left
                                        multiline: true
                                    }
                                    CheckBox {
                                        objectName: "cb_block_not_contact"
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                } // led stop blink
                            }
                        }
                        Button {
                            horizontalAlignment: HorizontalAlignment.Center
                            text: qsTr("Hint")
                            onClicked: {
                                 container_unknown_calls.setVisible(true)
                                 anim_unknown_calls_show.play()
                                }
                        }
                    } // main
                    
                    
                } // scrollview
                
                Container {
                    id: container_unknown_calls
                    rightPadding: 25
                    leftPadding: 25
                    topPadding: 50
                    background: Color.DarkGray
                    verticalAlignment: VerticalAlignment.Top
                    horizontalAlignment: HorizontalAlignment.Center
                    preferredWidth: _settings.screen_wid - 70;
                    preferredHeight: 510
                    // opacity: 0.9
                    layout: StackLayout {
                    }
                    animations: [
                        SequentialAnimation {
                            id: anim_unknown_calls_show
                            repeatCount: 0
                            FadeTransition {
                                fromOpacity: 0.0
                                toOpacity: 1.0
                                duration: 700
                                repeatCount: 0
                            }
                        },
                        SequentialAnimation {
                            id: anim_unknown_calls_hide
                            repeatCount: 0
                            FadeTransition {
                                fromOpacity: 1.0
                                toOpacity: 0.0
                                duration: 700
                                repeatCount: 0
                            }
                            onEnded: {
                                container_unknown_calls.setVisible(false);                                
                            }
                        
                        }
                    
                    ]
                    
                    visible: false
                    Label {
                        text: qsTr("Unknown/Private Calls")
                        horizontalAlignment: HorizontalAlignment.Center
                        textStyle.color: Color.White
                        textStyle.fontSize: FontSize.Large
                    }
                    Divider {
                    
                    }
                    
                    Label {
                        text: qsTr("For Unknown/Private calls Buzz Off will wait for a specified time before it rejects the call.  If Buzz Off is rejecting all calls with CallerID then you can experiment with the delays and choose the one that works best for you.")
                        multiline: true
                        textStyle.color: Color.Green
                    }
                    
                    Button {
                        //                        bottomPadding: 10
                        text: qsTr("OK")
                        horizontalAlignment: HorizontalAlignment.Center
                        onClicked: {
                            anim_unknown_calls_hide.play();
                        }
                    }
                
                
                } // hint container

            
            } // rules container


         
        } // container
        
    } // page
} // sheet

