import bb.cascades 1.0
import bb.cascades.pickers 1.0

Sheet {
    
	
	Page {
	    id: sheetModify
	    
	    
	    titleBar: TitleBar {
	        id: addBar
            title: qsTr("Message Log") + Retranslate.onLanguageChanged	            
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
	            onTriggered: {
	                _Log.closeMessageLog()
	            }
	        }
	        
	        acceptAction: ActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
	            onTriggered: {
	                _Log.deleteMessageLog()
	            }
                objectName: "delete_action"
            }
	    }// titleBar
	    
        actions: [
            
            ActionItem {
                title: qsTr("Export CSV") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_text.png"
                onTriggered: {
                    fileSaver.open()
                }
                objectName: "export_action"
            }
        ]
            

	    
	    Container {
	        layout: DockLayout {
	        }
	        
	        Container {
	            
	            horizontalAlignment: HorizontalAlignment.Fill
	            ListView {
	                id: listview
	                dataModel: _Log.model
	                
	                
	                listItemComponents: [
	                    ListItemComponent {
	                        type: "item"
	                        
	                        StandardListItem {
	                            id: itemRoot
	                            title: ListItemData.title
	                            description: ListItemData.description
	                            status: ListItemData.status
	//                            imageSource: ListItemData.image
	                            imageSpaceReserved: false
	                        } // container
	                    }
	                ] // listItem
	                
	                onTriggered: {
	                    clearSelection()
                        _Log.showLog(indexPath)
	                }
	                objectName: "itemList"
	                leadingVisualSnapThreshold: 0.6
	            } // listview            
	        }
	    
	    }
	}
	
    attachedObjects: [
        
        FilePicker {
            id: fileSaver
            mode: FilePickerMode.Saver
            type: FileType.Document
            filter: [ "*.txt"]
            title: qsTr("Enter a file to export") + Retranslate.onLanguageChanged	            
            //            directories: [ "/accounts/1000/shared" ]
            directories : [ "/accounts/1000/shared/documents"]
            onFileSelected: {
                
                _Log.exportLog(selectedFiles);
            }
        }
    
    ]

}