import bb.cascades 1.3

Sheet {
    Page {
 
        id: page1
        titleBar: TitleBar {
            title: qsTr("Edit Group") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _group.closeGroup()
                }
            
            }
            objectName: "title" // title
        }

        actions: [
            ActionItem {
                
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("New") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_add.png"
                onTriggered: {
                    _group.newBlacklist(1)
                }
            },
            ActionItem {
                            
                            ActionBar.placement: ActionBarPlacement.OnBar
                            title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                            imageSource: "asset:///images/ic_delete.png"
                            onTriggered: {
                                _group.deleteGroup()
                            }
            }
        ]

        Container
        {
            layout: DockLayout {
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            
            ListView {
                id: listView
                dataModel: _group.model_calls
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        StandardListItem {
                            title: ListItemData.title
                            description: ListItemData.description
                            status: ListItemData.status
                            imageSource: ListItemData.image
                            imageSpaceReserved: false                            
                        }
                    }
                ] // listItem
                
                onTriggered: {
                    clearSelection()
                    _group.selectedCallItem(indexPath)
                }
                
                objectName: "itemListCalls"
                leadingVisualSnapThreshold: 0.6            
            } // listview
        
        } // container
    
    }
}

